<?php get_header(); ?>
<div class="post">
<div class="posttitle"><h2><?php _e('Welcome to 404 error page!', 'SthBlue'); ?></h2></div>
	<div class="content">
		<p><?php _e("Welcome to this customized error page. You've reached this page because you've clicked on a link that does not exist. This is probably our fault... but instead of showing you the basic '404 Error' page that is confusing and doesn't really explain anything, we've created this page to explain what went wrong.", 'SthBlue'); ?></p>
		<p><?php _e("You can either (a) click on the 'back' button in your browser and try to navigate through our site in a different direction, or (b) click on the following link to go to homepage.", 'SthBlue'); ?></p>
		<div class="back">
			<a href="<?php bloginfo('url'); ?>/"><?php _e('Back to homepage &raquo;', 'SthBlue'); ?></a>
		</div>
		<p>
		   <?php _e('Recent Posts', 'SthBlue'); ?>
		<ul>
      <?php
            $posts = get_posts('numberposts=10&orderby=post_date');
			foreach($posts as $post) {
				setup_postdata($post);
				echo '<br/><a href="' . get_permalink() . '">' . get_the_title() . '</a>';
			} ?>
      </ul>
      </p>
		<div class="fixed"></div>
	</div>
	<div class="fixed"></div>
</div>
<?php get_footer(); ?>
