<?php get_header(); ?>

<?php if (have_posts()) : the_post(); update_post_caches($posts); ?>

	<div class="post" id="post-<?php the_ID(); ?>">
		<div class="posttitle"><h2><?php the_title(); ?></h2></div>
		<div class="content">
			<?php the_content(); ?>
			<?php wp_link_pages(array('before' => '<p><strong>' . __('Pages:', 'SthBlue') . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
			<div class="fixed"></div>
		</div>
		<p class="tags"><?php the_tags(' ', ', ', ' '); ?></p>
	</div>

	<?php comments_template(); ?>

<?php else : ?>
	<div class="errorbox">
		<?php _e('Sorry, no posts matched your criteria.', 'SthBlue'); ?>
	</div>
<?php endif; ?>

<?php get_footer(); ?>
