<!-- sidebar START -->
<?php
	$options = get_option('sthblue_options');

	if($options['feed'] && $options['feed_url']) {
		if (substr(strtoupper($options['feed_url']), 0, 7) == 'HTTP://') {
			$feed = $options['feed_url'];
		} else {
			$feed = 'http://' . $options['feed_url'];
		}
	} else {
		$feed = get_bloginfo('rss2_url');
	}
?>

<div id="sidebar-wrapper">
    <div id="sidebar">
        
        <div class="sidebar-box">
            <h2>Categories</h2>
            <ul class="list-cat">
                <?php wp_list_categories('show_count=0&title_li='); ?>
            </ul>
        </div>
        
        <div class="sidebar-box">
            <div class="content">
               <div id="subscribe">
               <a rel="external nofollow" id="feedrss" title="<?php _e('Subscribe to this blog...', 'SthBlue'); ?>" href="<?php echo $feed; ?>"><?php _e('<abbr title="Really Simple Syndication">RSS</abbr>', 'SthBlue'); ?></a>
               </div>
               <?php if($options['twitter'] && $options['twitter_username']) : ?>
   				<a id="followme" title="<?php _e('Follow me!', 'SthBlue'); ?>" href="http://twitter.com/<?php echo $options['twitter_username']; ?>/"><?php _e('Twitter', 'SthBlue'); ?></a>
   			   <?php endif; ?>
   			   <div class="fixed"></div>
		      </div>
        </div>
        
        <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>
        
        <div class="sidebar-box">
            <h2>Archives</h2>
            <ul class="list-archives">
                <?php wp_get_archives('type=monthly'); ?>
            </ul>
        </div>
        <div class="sidebar-box">
            <h2>Blogroll</h2>
            <ul class="list-blogroll">
                <?php get_links(-1, '<li>', '</li>', ''); ?>
            </ul>
        </div>
        <div class="sidebar-box">
            <h2>Search</h2>
            <div style="margin-left: 20px;">
                <?php include (TEMPLATEPATH . '/searchform.php'); ?>
            </div>
        </div>
        <div class="sidebar-box">
            <h2>Meta</h2>
            <ul>
                <?php wp_register(); ?>
                <li>
                    <?php wp_loginout(); ?>
                </li>
                <li><a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional">Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a></li>
                <li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
                <li><a href="http://WordPress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform.">WordPress</a></li>
                <?php wp_meta(); ?>
            </ul>
        </div>
        <?php endif; ?>
    </div>
</div>
<!-- sidebar END -->