<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/comment.js"></script>
<?php

// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>

<p class="nocomments">This post is password protected. Enter the password to view comments.</p>
<?php
		return;
	}
?>
<!-- You can start editing here. -->
<?php $options = get_option('sthblue_options'); ?>
<?php if ( have_comments() ) : ?>
<div id="comments">
  <h3><?php comments_number(__('No Responses' ,'SthBlue'), __('One Response' ,'SthBlue'),__('% Responses' ,'SthBlue'));?> <?php _e('to', 'SthBlue') ?> &#8220;<?php the_title(); ?>&#8221;</h3>

<div id="commentlist">
	<!-- comments START -->
	<ol id="thecomments">
	<?php wp_list_comments('type=comment&callback=custom_comments');	?>
	</ol>
	<div class="fixed"></div>
	<!-- comments END -->
<?php
	if (get_option('page_comments')) {
		$comment_pages = paginate_comments_links('echo=0');
		if ($comment_pages) {
?>
		<div id="commentnavi">
			<span class="pages"><?php _e('Comment pages', 'SthBlue'); ?></span>
			<div id="commentpager">
				<?php echo $comment_pages; ?>
			</div>
			<div class="fixed"></div>
		</div>
<?php
		}
	}
?>
<div class="fixed"></div>
</div>
</div>
<?php else : // this is displayed if there are no comments so far ?>
<?php if ('open' == $post->comment_status) : ?>
<!-- If comments are open, but there are no comments. -->
<?php else : // comments are closed ?>
<!-- If comments are closed. -->
<p class="nocomments"><?php _e('Comments are closed.', 'SthBlue') ?></p>
<?php endif; ?>
<?php endif; ?>

<?php if ('open' == $post->comment_status) : ?>
<div id="respond">
    <h3><?php comment_form_title( __('Add reply' ,'SthBlue'), __('to %s' ,'SthBlue')); ?></h3>
    <?php if ( get_option('comment_registration') && !$user_ID ) : ?>
    <p><?php _e('You must be ', 'SthBlue') ?><a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>"><?php _e('logged in', 'SthBlue') ?></a><?php _e(' to post a comment.', 'SthBlue') ?></p>
    <?php else : ?>
    <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
        <?php if ( $user_ID ) : ?>
        <p><?php _e('Logged in as ', 'SthBlue') ?><a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a><?php _e('.', 'SthBlue') ?> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account"><?php _e('Logout &raquo;', 'SthBlue') ?></a></p>
        <?php else : ?>
        <p>
            <input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
            <label for="author"><small><?php _e('Name', 'SthBlue'); ?> <?php if ($req) _e('(required)', 'SthBlue'); ?>
                </small></label>
        </p>
        <p>
            <input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
            <label for="email"><small><?php _e('Mail (will not be published)', 'SthBlue') ?>
                <?php if ($req) _e('(required)', 'SthBlue'); ?>
                </small></label>
        </p>
        <p>
            <input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
            <label for="url"><small><?php _e('Website', 'SthBlue') ?></small></label>
        </p>
        <?php endif; ?>
        <p>
            <textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea>
        </p>
        <p>
            <input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit Comment', 'SthBlue'); ?>" />
            <?php comment_id_fields(); ?>
        </p>
        <?php do_action('comment_form', $post->ID); ?>
    </form>
   	<?php if ($options['ctrlentry']) : ?>
   		<script type="text/javascript">CMT.loadCommentShortcut('commentform', 'submit', ' (Ctrl+Enter)');</script>
   	<?php endif; ?>
    
    <?php endif; // If registration required and not logged in ?>
</div>
<?php endif; // if you delete this the sky will fall on your head ?>
<div style="clear: both;"></div>