<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?php
	$options = get_option('sthblue_options');
	if($options['feed'] && $options['feed_url']) {
		if (substr(strtoupper($options['feed_url']), 0, 7) == 'HTTP://') {
			$feed = $options['feed_url'];
		} else {
			$feed = 'http://' . $options['feed_url'];
		}
	} else {
		$feed = get_bloginfo('rss2_url');
	}
?>
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title>
<?php if (is_home()) : ?>
<?php bloginfo('name'); ?>
<?php else : ?>
<?php wp_title('', 'false'); ?>
-
<?php bloginfo('name'); ?>
<?php endif; ?>
</title>
<style type="text/css" media="screen">@import url( <?php bloginfo('stylesheet_url'); ?> );</style>
<?php if (strtoupper(get_locale()) == 'ZH_CN' || strtoupper(get_locale()) == 'ZH_TW') : ?>
		<link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/chinese.css" type="text/css" media="screen" />
<?php endif; ?>
<!--[if lt IE 7]>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('stylesheet_directory'); ?>/ie.css" />
<![endif]-->
<!--[if lt IE 7]>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/pngfix.js"></script>
<![endif]-->
<link rel="alternate" type="application/rss+xml" title="<?php _e('RSS 2.0 - all posts', 'SthBlue'); ?>" href="<?php echo $feed; ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php _e('RSS 2.0 - all comments', 'SthBlue'); ?>" href="<?php bloginfo('comments_rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head(); ?>

</head>
<body>
<!-- wrap START -->
<div id="wrap">

<!-- container START -->
<div id="container">
   
<!-- header START -->
<div id="header">
   <div id="caption">
		<h1 id="title"><a href="<?php bloginfo('url'); ?>/"><?php bloginfo('name'); ?></a></h1>
		<div id="tagline"><?php bloginfo('description'); ?></div>
	</div>

	<div class="fixed"></div>
</div>

<!-- navigation START -->
<div id="navigation">
   <!-- menus START -->
	<div id="menus">
	<ul>
	   <li class="home"><a href="<?php bloginfo('url'); ?>"><?php _e('Home', 'SthBlue') ?></a></li>
      <?php wp_list_pages("depth=1&title_li="); ?>
	</ul>
   </div>
	<!-- menus END -->

	<!-- searchbox START -->
	<div id="searchbox">
	<?php if($options['google_cse'] && $options['google_cse_cx']) : ?>
	<form action="http://www.google.com/cse" method="get">
		<div class="content">
			<input type="text" class="textfield" name="q" size="24" />
			<input type="submit" class="button" name="sa" value="" />
			<input type="hidden" name="cx" value="<?php echo $options['google_cse_cx']; ?>" />
			<input type="hidden" name="ie" value="UTF-8" />
		</div>
	</form>
   <?php else : ?>  
   <form action="<?php bloginfo('home'); ?>" method="get">
		<div class="content">
			<input type="text" class="textfield" name="s" onblur="this.value=(this.value=='') ? 'Search...' : this.value;" onfocus="this.value=(this.value=='Search...') ? '' : this.value;" value="Search..." />
			<input class="button" type="submit" value="Go"/>
		</div>
	</form>
	<?php endif; ?>
   </div>
   <!-- searchbox END -->
   <div class="fixed"></div>
</div>
<!-- navigation END -->

<!-- content START -->
<div id="content">

   <!-- main START -->
	<div id="main">