<?php get_header(); ?>
<?php $options = get_option('sthblue_options'); ?>
<?php if (have_posts()) : while (have_posts()) : the_post(); update_post_caches($posts); ?>
	<div class="post" id="post-<?php the_ID(); ?>">
	<div class="posttime"><div class="m"><?php the_time("M"); ?></div><div class="d"><?php the_time("d"); ?></div></div>
   <div class="posttitle">
      <h2><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
      <p class="postmeta"><span class="comment"><?php comments_popup_link(__('No comments', 'SthBlue'), __('1 Comment', 'SthBlue'), __('% Comments', 'SthBlue')); ?></span><span class="category"><?php the_category(', ') ?></span><span class="date"><?php the_time(__('F jS, Y', 'SthBlue')) ?></span><span class="author"><?php the_author(); ?></span><?php edit_post_link(__('Edit' ,'SthBlue') , '<span class="edit">', '</span>'); ?></p>
   </div>		
		
		<div class="content">
			<?php the_content(__('Read more...', 'SthBlue')); ?>
			<div class="fixed"></div>
		</div>
	</div>
<?php endwhile; else : ?>
	<div class="errorbox">
		<?php _e('Sorry, no posts matched your criteria.', 'SthBlue'); ?>
	</div>
<?php endif; ?>

<div id="pagenavi">
	<?php if(function_exists('wp_pagenavi')) : ?>
		<?php wp_pagenavi() ?>
	<?php else : ?>
		<span class="newer"><?php previous_posts_link(__('Newer Entries', 'SthBlue')); ?></span>
		<span class="older"><?php next_posts_link(__('Older Entries', 'SthBlue')); ?></span>
	<?php endif; ?>
	<div class="fixed"></div>
</div>

<?php get_footer(); ?>